Bug 1308754 - RFE: make sigul available for EPEL7
RFE: make sigul available for EPEL7
Status: ASSIGNED
Product: Fedora EPEL
Classification: Fedora
Component: sigul (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On: 842074 894019
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 18:26 EST by John Florian
Modified: 2017-08-02 15:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Florian 2016-02-15 18:26:11 EST
Description of problem:

Would it be difficult or much of a bother to provide this?  It appears that it had been available for EL6.  I just built up a Koji setup atop EL7 and it would be nice to compliment it with sigul on the same platform.
Comment 1 Miloslav Trmač 2016-02-16 07:58:01 EST
Thanks for your report.

Due to #842074 (at least when I have last looked at that, which has admittedly been a few years ago), sigul can only work with GPG 1.x (i.e. would need a dependency on a gnupg1 package), and I’m afraid I can’t commit to maintaining such a package for general use.

(The same applies to EL6; the production deployments I know of maintain a private gnupg1 package; the EL6 branch is over 6 years old and probably never worked.)

Marking as blocked on #842074, unlikely to be resolved in the near time I’m afraid.
Comment 2 John Florian 2016-02-19 19:06:42 EST
Ok, thanks for looking into this.  I've got my Koji on EPEL; I guess I'll just use Fedora for the Sigul parts.
Comment 3 Patrick Uiterwijk 2017-01-03 06:58:53 EST
A headsup: I'm working on full GPGv2 support, so I'm hoping to be able to offer this soonish.
Comment 4 John Florian 2017-01-03 08:54:49 EST
(In reply to Patrick Uiterwijk from comment #3)
> A headsup: I'm working on full GPGv2 support, so I'm hoping to be able to
> offer this soonish.

Thanks for the update and pointer to #894019.  I'm presently using sigul from http://infrastructure.fedoraproject.org/repo/builder-rpms/$releasever/$basearch/ to limp along, though that's now a few releases behind from what I can tell.  I look forward to a simpler, it-just-works solution.

Note You need to log in before you can comment on or make changes to this bug.